1. 11 Jul, 2019 3 commits
  2. 10 Jul, 2019 11 commits
    • Sam Thursfield's avatar
      Merge branch 'sam/ft-traceback-fix' into 'master' · bc494246
      Sam Thursfield authored
      functional-tests: Remove a double-traceback
      
      See merge request GNOME/tracker-miners!82
      bc494246
    • Sam Thursfield's avatar
      Merge branch 'sam/static-libtracker-miners-common' into 'master' · aea42998
      Sam Thursfield authored
      build: libtracker-miners-common should be a static library
      
      See merge request GNOME/tracker-miners!83
      aea42998
    • Sam Thursfield's avatar
      build: libtracker-miners-common should be a static library · 65b1d237
      Sam Thursfield authored
      This library is API-unstable helper code. In the Autotools build system
      we only linked to it statically and didn't install it.
      
      Fixes a regression introduced in 8c1ff9cf, where we stopped installing
      the library but didn't make it static, which totally broke installed
      versions of Tracker.
      65b1d237
    • Sam Thursfield's avatar
      functional-tests: Remove a double-traceback · d6a50949
      Sam Thursfield authored
      Before:
      
          Traceback (most recent call last):
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/helpers.py", line 403, in await_resource_inserted
              self.loop.run_checked()
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/mainloop.py", line 58, in run_checked
              raise self._exception
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/helpers.py", line 294, in _graph_updated_timeout_cb
              raise GraphUpdateTimeoutException()
          common.utils.helpers.GraphUpdateTimeoutException
      
          During handling of the above exception, another exception occurred:
      
          Traceback (most recent call last):
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/minertest.py", line 145, in setUp
              super(CommonTrackerMinerFTSTest, self).setUp()
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/minertest.py", line 82, in setUp
              self.create_test_data()
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/minertest.py", line 117, in create_test_data
              self.tracker.await_resource_inserted(NFO_DOCUMENT, url=self.uri(tf))
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/helpers.py", line 405, in await_resource_inserted
              raise GraphUpdateTimeoutException("Timeout waiting for resource: class %s, URL %s, title %s" % (rdf_class, url, title))
          common.utils.helpers.GraphUpdateTimeoutException: Timeout waiting for resource: class http://www.semanticdesktop.org/ontologies/2007/03/22/nfo#Document, URL file:///home/tracker/tracker-tests/tmp6bkbec7d/test-monitored/dir1/file2.txt, title None
      
      After:
      
          Traceback (most recent call last):
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/minertest.py", line 145, in setUp
              super(CommonTrackerMinerFTSTest, self).setUp()
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/minertest.py", line 82, in setUp
              self.create_test_data()
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/minertest.py", line 117, in create_test_data
              self.tracker.await_resource_inserted(NFO_DOCUMENT, url=self.uri(tf))
            File "/builds/GNOME/tracker-miners/tests/functional-tests/common/utils/helpers.py", line 405, in await_resource_inserted
              raise GraphUpdateTimeoutException("Timeout waiting for resource: class %s, URL %s, title %s" % (rdf_class, url, title))
          common.utils.helpers.GraphUpdateTimeoutException: Timeout waiting for resource: class http://www.semanticdesktop.org/ontologies/2007/03/22/nfo#Document, URL file:///home/tracker/tracker-tests/tmp6bkbec7d/test-monitored/dir1/file2.txt, title None
      d6a50949
    • Sam Thursfield's avatar
      Merge branch 'sam/test-warning-fixes' into 'master' · 6055f5ed
      Sam Thursfield authored
      Avoid g_critical() errors when unable to connect to upower
      
      Closes #75
      
      See merge request GNOME/tracker-miners!81
      6055f5ed
    • Sam Thursfield's avatar
      Avoid g_critical() errors when unable to connect to upower · 0d11b245
      Sam Thursfield authored
      This removes two g_critical() errors that are seen when running the
      tests in CI.
      
      Before:
      
          (tracker-miner-fs:7050): libupower-glib-WARNING **: 14:31:50.109: Couldn't connect to proxy: Could not connect: No such file or directory
      
          (tracker-miner-fs:7050): GLib-GObject-CRITICAL **: 14:31:50.109: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
      
          (tracker-miner-fs:7050): GLib-GObject-CRITICAL **: 14:31:50.109: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
      
          ** (tracker-miner-fs:7050): WARNING **: 14:31:50.109: Unable to connect to UPower
      
      After:
      
          (tracker-miner-fs:12620): libupower-glib-WARNING **: 14:38:52.337: Couldn't connect to proxy: Could not connect: No such file or directory
      
          ** (tracker-miner-fs:12620): WARNING **: 14:38:52.337: Unable to connect to UPower
      
      Fixes GNOME/tracker-miners#75
      0d11b245
    • Sam Thursfield's avatar
      Merge branch 'sam/build-fixes' into 'master' · acb65649
      Sam Thursfield authored
      Fix some broken-by-default aspects of the developer experience
      
      See merge request GNOME/tracker-miners!80
      acb65649
    • Sam Thursfield's avatar
      Merge branch 'wip/jfelder/audio-writeback' into 'master' · 1d545b0e
      Sam Thursfield authored
      writeback: Add GStreamer based writeback module
      
      See merge request GNOME/tracker-miners!48
      1d545b0e
    • Sam Thursfield's avatar
      build: Compile GSettings schemas after install · 1bace075
      Sam Thursfield authored
      This isn't needed in the common case of distro package builds, as the
      distro package will already provide a hook. However, our README.md
      tells developers to install into a prefix like ~/opt/tracker, and
      that is broken by default because GLib will complain that none of the
      settings schemas are installed.
      1bace075
    • Sam Thursfield's avatar
      build: Include libdir in rpath · 6a9199a8
      Sam Thursfield authored
      This fixes the case where Tracker is installed into a non-standard
      prefix such as /opt/tracker and then fails to start with an error
      such as this:
      
              /opt/tracker/bin/tracker: error while loading shared libraries: libtracker-control-2.0.so.0: cannot open shared object file: No such file or directory
      6a9199a8
    • Sam Thursfield's avatar
      build: Remove FIXME · b3f5cdfb
      Sam Thursfield authored
      This was already fixed in tracker.git
      (GNOME/tracker!64) so
      it presumably doesn't apply to tracker-miners.
      b3f5cdfb
  3. 08 Jul, 2019 10 commits
  4. 05 Jul, 2019 6 commits
  5. 23 Jun, 2019 10 commits